explain_futimes_or_die(3)

NAME
explain_futimes_or_die - change file timestamps and report errors

SYNOPSIS
#include <libexplain/futimes.h>

void explain_futimes_or_die(int fildes, const struct timeval *tv);

DESCRIPTION
The explain_futimes_or_die function is used to call the futimes(3) system call. On failure an explanation will be printed to stderr, obtained from explain_futimes(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_futimes_or_die(fildes, tv);

fildes
    The fildes, exactly as to be passed to the futimes(3) system call.

tv  The tv, exactly as to be passed to the futimes(3) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

futimes(3)
    change file timestamps

explain_futimes(3)
    explain futimes(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller